.posts{
    .grid-wrapper{
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(378px, 1fr));
    gap: 2rem;
    
    .grid-item {
        @include flexCenter;
        max-width: 584px;
        .grid-item-text-wrapper{
            margin-left: 1.3rem;
            

            .grid-item-title{
                line-height: 1.875;
                font-weight: 700;
            }
            .grid-item-job{
                color: $subtext_color;
                font-size: 0.75rem;
                line-height: 1.66;
            }
            .grid-item-comment{
                &::before{
                    content:"/";
                    margin-left: 0.5rem;
                    margin-right: 0.5rem;
                }
            }
            .grid-item-text{
                font-size: 0.875rem;
                line-height: 1.857;
            }
        }
    }

    @media screen and (max-width:400px){
        .grid-item {
            flex-wrap: wrap;
            max-width: 300px;
            .grid-item-image{
                margin-left: 1.25rem;
            }
            .grid-item-text-wrapper{
                margin-top: 0.5rem;
                font-size: 0.875rem;
                .grid-item-text{
                    display: none;
                }
            }
        }
    }
}
}